@import 'vars';

.app > header,
app-header > header {
  background-color: $primary-color;
  box-shadow: 0 2px 19px rgba(39, 44, 49, .12),
              0 3px 04px rgba(39, 44, 49, .06);

  > * {
    color: $text-color-alt;
  }

  .hamburger {
    $line-width: 20px;
    $line-height: 2px;
    $line-spacing: 6px;

    margin-right: 15px;
    margin-bottom: -4px;
    border: none;
    padding: 0;
    outline: 0;

    > div {
      width: $line-width;
      height: $line-height + 2*$line-spacing + 1px;

      > div,
      > div::before,
      > div::after {
        background-color: #eee;
        width: $line-width;
        height: $line-height;
      }

      > div::before {
        top: -$line-spacing;
      }

      > div::after {
        bottom: -$line-spacing;
      }
    }
  }
}

//This style is located here because the header affects the position of this thing
.app > .container-fluid {
  margin-top: 56px;

  @include media-breakpoint-down(md) {
    > .row > main {
      margin-top: 15px;
    }
  }
}

